Loading...
Searching...
No Matches
cyaml_event_record Struct Reference
Collaboration diagram for cyaml_event_record:
[legend]

## Data Fields

cyaml_anchor_t * | complete
cyaml_anchor_t * | progress
yaml_event_t * | data
uint32_t * | events
uint32_t * | stack
uint32_t | complete_count
uint32_t | progress_count
uint32_t | events_count
uint32_t | stack_count
uint32_t | data_count

## Detailed Description

Event recording context.

This records anchor details, and any anchored events. A stack of events is maintained to keep track of matching start/end events, in order to end anchor recordings with the correct end event.

## Field Documentation

## complete

cyaml_anchor_t* cyaml_event_record::complete

Array of recorded anchor details or NULL.

## complete_count

uint32_t cyaml_event_record::complete_count

Number of anchor details in complete.

## data

yaml_event_t* cyaml_event_record::data

Array of anchor-referenced events.

## data_count

uint32_t cyaml_event_record::data_count

Number of recorded libyaml events.

## events

uint32_t* cyaml_event_record::events

Array of event data indices.

## events_count

uint32_t cyaml_event_record::events_count

Number of events in events array.

## progress

cyaml_anchor_t* cyaml_event_record::progress

Array of recording anchor details or NULL.

## progress_count

uint32_t cyaml_event_record::progress_count

Number of anchor details in progress.

## stack

uint32_t* cyaml_event_record::stack

Stack of start event array indices.

## stack_count

uint32_t cyaml_event_record::stack_count

Number of entries in the event stack.

The documentation for this struct was generated from the following file:

- src/load.c